Create a Wished Item
Creates a Wished Item
POST
/
api
/
v2
/
platform
/
wished_items
Create a Wished Item
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wished_item: {wishlist_id: '<string>', variant_id: '<string>', quantity: 123}})
};
fetch('http://{defaultHost}/api/v2/platform/wished_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/wished_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wished_item": {
"wishlist_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
}
'{
"data": {
"id": "9",
"type": "wished_item",
"attributes": {
"quantity": 1,
"created_at": "2022-11-08T19:36:02.710Z",
"updated_at": "2022-11-08T19:36:02.710Z",
"display_total": "$19.99",
"display_price": "$19.99",
"price": "19.99",
"total": "19.99"
},
"relationships": {
"variant": {
"data": {
"id": "319",
"type": "variant"
}
}
}
}
}{
"error": "Variant can't be blank, Wishlist can't be blank, and Quantity is not a number",
"errors": {
"variant": [
"can't be blank"
],
"wishlist": [
"can't be blank"
],
"quantity": [
"is not a number"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a Wished Item
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({wished_item: {wishlist_id: '<string>', variant_id: '<string>', quantity: 123}})
};
fetch('http://{defaultHost}/api/v2/platform/wished_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url http://{defaultHost}/api/v2/platform/wished_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wished_item": {
"wishlist_id": "<string>",
"variant_id": "<string>",
"quantity": 123
}
}
'{
"data": {
"id": "9",
"type": "wished_item",
"attributes": {
"quantity": 1,
"created_at": "2022-11-08T19:36:02.710Z",
"updated_at": "2022-11-08T19:36:02.710Z",
"display_total": "$19.99",
"display_price": "$19.99",
"price": "19.99",
"total": "19.99"
},
"relationships": {
"variant": {
"data": {
"id": "319",
"type": "variant"
}
}
}
}
}{
"error": "Variant can't be blank, Wishlist can't be blank, and Quantity is not a number",
"errors": {
"variant": [
"can't be blank"
],
"wishlist": [
"can't be blank"
],
"quantity": [
"is not a number"
]
}
}
